*{
    box-sizing:border-box;
    --bgColorMenu:#1d1d27;
    --duration:0.7s;
    margin:0;
    padding:0;
}

body{
    display: flex;
    height: 100vh;
    overflow: hidden;
    align-items: center;
    justify-content: center;
    background-color: #8158d3;
    transition:background-color var(--duration)
}
.menu{
    display: flex;
    width: 32em;
    font-size: 1.5em;
    padding: 0 3em;
    position: relative;
    align-items: center;
    justify-content: center;
    background-color: var(--bgColorMenu);
}
.menuitem{
    display: flex;
    all:unset;
    flex-grow:1;
    z-index:100;
    cursor: pointer;
    position: relative;
    border-radius: 50%;
    align-items: center;
    justify-content: center;
    padding:0.5em 0 0.9em;
    transition: transform var(--timeOut, var(--duration));
}
.menuitem::before{
    content:"";
    z-index:-1;
    width:4.2em;
    height: 4.2em;
    border-radius: 50%;
    position:absolute;
    transform:scale(0);
    transition: background-color var(--duration), transform var(--duration);
}
.menuitem.active{
    transform: translate(0,-0.8em,0);
}
.menuitem.active::before{
    transform:scale(1);
    background-color: var(--bgColorItem);
}
.pd,.pl{
    width:50px;
    height:50px;
}
.pd{
    transition: var(--duration);
    transform: rotatex(1turn);
}
.menuborder{
    left:0;
    bottom:99%;
    width:11em;
    height:2.5em;
    position:absolute;
    clip-path:url(#menu);
    background-color: var(--bgColorMenu);
    transition: transform var(--timeOut , var(--duration));
}
